Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.fileupload
Interface FileItemHeaders

All Known Implementing Classes:
  FileItemHeadersImpl

    public interface FileItemHeaders

This class provides support for accessing the headers for a file or form item that was received within a `multipart/form-data` POST request.

Since:
  1.3
Author:
  Michael C. Macaluso

Method Summary
`java.lang.String` | `getHeader(java.lang.String name)` Returns the value of the specified part header as a `String`.
`java.util.Iterator` | `getHeaderNames()` Returns an `Enumeration` of all the header names.
`java.util.Iterator` | `getHeaders(java.lang.String name)` Returns all the values of the specified item header as an `Enumeration` of `String` objects.

Method Detail

### getHeader

    java.lang.String getHeader(java.lang.String name)

  Returns the value of the specified part header as a `String`. If the part did not include a header of the specified name, this method return `null`. If there are multiple headers with the same name, this method returns the first header in the item. The header name is case insensitive.

  Parameters:
    `name` - a `String` specifying the header name
  Returns:
    a `String` containing the value of the requested header, or `null` if the item does not have a header of that name

### getHeaders

    java.util.Iterator getHeaders(java.lang.String name)

  Returns all the values of the specified item header as an `Enumeration` of `String` objects.

  If the item did not include any headers of the specified name, this method returns an empty `Enumeration`. The header name is case insensitive.

  Parameters:
    `name` - a `String` specifying the header name
  Returns:
    an `Enumeration` containing the values of the requested header. If the item does not have any headers of that name, return an empty `Enumeration`

### getHeaderNames

    java.util.Iterator getHeaderNames()

  Returns an `Enumeration` of all the header names.

  If the item did not include any headers of the specified name, this method returns an empty `Enumeration`. The header name is case insensitive.

  Returns:
    an `Enumeration` containing the values of the requested header. If the item does not have any headers of that name return an empty `Enumeration`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ? 2002-2008 The Apache Software Foundation. All Rights Reserved.